﻿@model VirtualCarGarage.MVC.Models.OrderAddServicesViewModel

@{
    ViewData["Title"] = "AddServices";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container">
    
    <form asp-action="AddServices">
        <div class="form-group">
            <label asp-for="Services" class="control-label"></label>
            <div style="width: 350px; height: 110px; overflow: auto; background-color: #fff; padding: 10px; border-radius: 4px;">
                @foreach (var service in Model.Services)
                {
    <input name="services" type="checkbox" value="@service.ServiceId" /> @service.Name <br />}
            </div>
        </div>
        <div class="form-group">
            <input type="submit" value="Add" class="btn btn-primary" />
        </div>

        @*<input type="hidden" asp-for="OrderId" />
        <div class="form-group">
            <label for="sel2">Mutiple select list (hold shift to select more than one):</label>
            <select multiple class="form-control" id="sel2" name="sellist2">
                @foreach (var item in Model.Services)
                {
                <option name="services" type="checkbox" value="@item.ServiceId"> @item.Name</option>
                }
            </select>
        </div>


        <button type="submit" value="Add" class="btn btn-primary">Submit</button>*@
    </form>
</div>

@*
<div class="row">
    <div class="col-md-4">
        <form asp-action="AddServices">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="OrderId" />
            <div class="form-group">
                <label asp-for="Services" class="control-label"></label>
                <div style="width: 350px; height: 110px; overflow: auto; background-color: #fff; padding: 10px; border-radius: 4px;">
                    @foreach (var service in Model.Services)
                    {
                        <input name="services" type="checkbox" value="@service.ServiceId" /> @service.Name <br />
                    }
                </div>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>*@

<div>
    <a asp-action="Index">Back</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
